
package com.ejie.ad74a.ws.client.platea.toolkit;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.ad74a.ws.client.platea.toolkit package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CreateSolicitudPresencialCiudadano_QNAME = new QName("com/ejie/toolkit/xml", "createSolicitudPresencialCiudadano");
    private final static QName _CreateSolicitudPresencialCiudadanoResponse_QNAME = new QName("com/ejie/toolkit/xml", "createSolicitudPresencialCiudadanoResponse");
    private final static QName _Exception_QNAME = new QName("com/ejie/toolkit/xml", "Exception");
    private final static QName _GetRequestInformation_QNAME = new QName("com/ejie/toolkit/xml", "getRequestInformation");
    private final static QName _GetRequestInformationResponse_QNAME = new QName("com/ejie/toolkit/xml", "getRequestInformationResponse");
    private final static QName _IsMarcadoSubsanar_QNAME = new QName("com/ejie/toolkit/xml", "isMarcadoSubsanar");
    private final static QName _IsMarcadoSubsanarResponse_QNAME = new QName("com/ejie/toolkit/xml", "isMarcadoSubsanarResponse");
    private final static QName _ModifyApplicant_QNAME = new QName("com/ejie/toolkit/xml", "modifyApplicant");
    private final static QName _ModifyApplicantResponse_QNAME = new QName("com/ejie/toolkit/xml", "modifyApplicantResponse");
    private final static QName _SaveAportacionesPreload_QNAME = new QName("com/ejie/toolkit/xml", "saveAportacionesPreload");
    private final static QName _SaveAportacionesPreloadResponse_QNAME = new QName("com/ejie/toolkit/xml", "saveAportacionesPreloadResponse");
    private final static QName _SaveDataPreload_QNAME = new QName("com/ejie/toolkit/xml", "saveDataPreload");
    private final static QName _SaveDataPreloadResponse_QNAME = new QName("com/ejie/toolkit/xml", "saveDataPreloadResponse");
    private final static QName _SetStatusSubsanar_QNAME = new QName("com/ejie/toolkit/xml", "setStatusSubsanar");
    private final static QName _SetStatusSubsanarResponse_QNAME = new QName("com/ejie/toolkit/xml", "setStatusSubsanarResponse");
    private final static QName _StackData_QNAME = new QName("com/ejie/toolkit/xml", "stackData");
    private final static QName _StackDataResponse_QNAME = new QName("com/ejie/toolkit/xml", "stackDataResponse");
    private final static QName _UnstackData_QNAME = new QName("com/ejie/toolkit/xml", "unstackData");
    private final static QName _UnstackDataResponse_QNAME = new QName("com/ejie/toolkit/xml", "unstackDataResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.ad74a.ws.client.platea.toolkit
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link CreateSolicitudPresencialCiudadano }
     * 
     */
    public CreateSolicitudPresencialCiudadano createCreateSolicitudPresencialCiudadano() {
        return new CreateSolicitudPresencialCiudadano();
    }

    /**
     * Create an instance of {@link CreateSolicitudPresencialCiudadanoResponse }
     * 
     */
    public CreateSolicitudPresencialCiudadanoResponse createCreateSolicitudPresencialCiudadanoResponse() {
        return new CreateSolicitudPresencialCiudadanoResponse();
    }

    /**
     * Create an instance of {@link Exception }
     * 
     */
    public Exception createException() {
        return new Exception();
    }

    /**
     * Create an instance of {@link GetRequestInformation }
     * 
     */
    public GetRequestInformation createGetRequestInformation() {
        return new GetRequestInformation();
    }

    /**
     * Create an instance of {@link GetRequestInformationResponse }
     * 
     */
    public GetRequestInformationResponse createGetRequestInformationResponse() {
        return new GetRequestInformationResponse();
    }

    /**
     * Create an instance of {@link IsMarcadoSubsanar }
     * 
     */
    public IsMarcadoSubsanar createIsMarcadoSubsanar() {
        return new IsMarcadoSubsanar();
    }

    /**
     * Create an instance of {@link IsMarcadoSubsanarResponse }
     * 
     */
    public IsMarcadoSubsanarResponse createIsMarcadoSubsanarResponse() {
        return new IsMarcadoSubsanarResponse();
    }

    /**
     * Create an instance of {@link ModifyApplicant }
     * 
     */
    public ModifyApplicant createModifyApplicant() {
        return new ModifyApplicant();
    }

    /**
     * Create an instance of {@link ModifyApplicantResponse }
     * 
     */
    public ModifyApplicantResponse createModifyApplicantResponse() {
        return new ModifyApplicantResponse();
    }

    /**
     * Create an instance of {@link SaveAportacionesPreload }
     * 
     */
    public SaveAportacionesPreload createSaveAportacionesPreload() {
        return new SaveAportacionesPreload();
    }

    /**
     * Create an instance of {@link SaveAportacionesPreloadResponse }
     * 
     */
    public SaveAportacionesPreloadResponse createSaveAportacionesPreloadResponse() {
        return new SaveAportacionesPreloadResponse();
    }

    /**
     * Create an instance of {@link SaveDataPreload }
     * 
     */
    public SaveDataPreload createSaveDataPreload() {
        return new SaveDataPreload();
    }

    /**
     * Create an instance of {@link SaveDataPreloadResponse }
     * 
     */
    public SaveDataPreloadResponse createSaveDataPreloadResponse() {
        return new SaveDataPreloadResponse();
    }

    /**
     * Create an instance of {@link SetStatusSubsanar }
     * 
     */
    public SetStatusSubsanar createSetStatusSubsanar() {
        return new SetStatusSubsanar();
    }

    /**
     * Create an instance of {@link SetStatusSubsanarResponse }
     * 
     */
    public SetStatusSubsanarResponse createSetStatusSubsanarResponse() {
        return new SetStatusSubsanarResponse();
    }

    /**
     * Create an instance of {@link StackData }
     * 
     */
    public StackData createStackData() {
        return new StackData();
    }

    /**
     * Create an instance of {@link StackDataResponse }
     * 
     */
    public StackDataResponse createStackDataResponse() {
        return new StackDataResponse();
    }

    /**
     * Create an instance of {@link UnstackData }
     * 
     */
    public UnstackData createUnstackData() {
        return new UnstackData();
    }

    /**
     * Create an instance of {@link UnstackDataResponse }
     * 
     */
    public UnstackDataResponse createUnstackDataResponse() {
        return new UnstackDataResponse();
    }

    /**
     * Create an instance of {@link X43KPresolicitudResponse }
     * 
     */
    public X43KPresolicitudResponse createX43KPresolicitudResponse() {
        return new X43KPresolicitudResponse();
    }

    /**
     * Create an instance of {@link X43Kapilamiento }
     * 
     */
    public X43Kapilamiento createX43Kapilamiento() {
        return new X43Kapilamiento();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateSolicitudPresencialCiudadano }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CreateSolicitudPresencialCiudadano }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "createSolicitudPresencialCiudadano")
    public JAXBElement<CreateSolicitudPresencialCiudadano> createCreateSolicitudPresencialCiudadano(CreateSolicitudPresencialCiudadano value) {
        return new JAXBElement<CreateSolicitudPresencialCiudadano>(_CreateSolicitudPresencialCiudadano_QNAME, CreateSolicitudPresencialCiudadano.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateSolicitudPresencialCiudadanoResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CreateSolicitudPresencialCiudadanoResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "createSolicitudPresencialCiudadanoResponse")
    public JAXBElement<CreateSolicitudPresencialCiudadanoResponse> createCreateSolicitudPresencialCiudadanoResponse(CreateSolicitudPresencialCiudadanoResponse value) {
        return new JAXBElement<CreateSolicitudPresencialCiudadanoResponse>(_CreateSolicitudPresencialCiudadanoResponse_QNAME, CreateSolicitudPresencialCiudadanoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "Exception")
    public JAXBElement<Exception> createException(Exception value) {
        return new JAXBElement<Exception>(_Exception_QNAME, Exception.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRequestInformation }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link GetRequestInformation }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "getRequestInformation")
    public JAXBElement<GetRequestInformation> createGetRequestInformation(GetRequestInformation value) {
        return new JAXBElement<GetRequestInformation>(_GetRequestInformation_QNAME, GetRequestInformation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetRequestInformationResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link GetRequestInformationResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "getRequestInformationResponse")
    public JAXBElement<GetRequestInformationResponse> createGetRequestInformationResponse(GetRequestInformationResponse value) {
        return new JAXBElement<GetRequestInformationResponse>(_GetRequestInformationResponse_QNAME, GetRequestInformationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsMarcadoSubsanar }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link IsMarcadoSubsanar }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "isMarcadoSubsanar")
    public JAXBElement<IsMarcadoSubsanar> createIsMarcadoSubsanar(IsMarcadoSubsanar value) {
        return new JAXBElement<IsMarcadoSubsanar>(_IsMarcadoSubsanar_QNAME, IsMarcadoSubsanar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsMarcadoSubsanarResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link IsMarcadoSubsanarResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "isMarcadoSubsanarResponse")
    public JAXBElement<IsMarcadoSubsanarResponse> createIsMarcadoSubsanarResponse(IsMarcadoSubsanarResponse value) {
        return new JAXBElement<IsMarcadoSubsanarResponse>(_IsMarcadoSubsanarResponse_QNAME, IsMarcadoSubsanarResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ModifyApplicant }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ModifyApplicant }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "modifyApplicant")
    public JAXBElement<ModifyApplicant> createModifyApplicant(ModifyApplicant value) {
        return new JAXBElement<ModifyApplicant>(_ModifyApplicant_QNAME, ModifyApplicant.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ModifyApplicantResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ModifyApplicantResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "modifyApplicantResponse")
    public JAXBElement<ModifyApplicantResponse> createModifyApplicantResponse(ModifyApplicantResponse value) {
        return new JAXBElement<ModifyApplicantResponse>(_ModifyApplicantResponse_QNAME, ModifyApplicantResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveAportacionesPreload }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SaveAportacionesPreload }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "saveAportacionesPreload")
    public JAXBElement<SaveAportacionesPreload> createSaveAportacionesPreload(SaveAportacionesPreload value) {
        return new JAXBElement<SaveAportacionesPreload>(_SaveAportacionesPreload_QNAME, SaveAportacionesPreload.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveAportacionesPreloadResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SaveAportacionesPreloadResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "saveAportacionesPreloadResponse")
    public JAXBElement<SaveAportacionesPreloadResponse> createSaveAportacionesPreloadResponse(SaveAportacionesPreloadResponse value) {
        return new JAXBElement<SaveAportacionesPreloadResponse>(_SaveAportacionesPreloadResponse_QNAME, SaveAportacionesPreloadResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveDataPreload }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SaveDataPreload }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "saveDataPreload")
    public JAXBElement<SaveDataPreload> createSaveDataPreload(SaveDataPreload value) {
        return new JAXBElement<SaveDataPreload>(_SaveDataPreload_QNAME, SaveDataPreload.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SaveDataPreloadResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SaveDataPreloadResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "saveDataPreloadResponse")
    public JAXBElement<SaveDataPreloadResponse> createSaveDataPreloadResponse(SaveDataPreloadResponse value) {
        return new JAXBElement<SaveDataPreloadResponse>(_SaveDataPreloadResponse_QNAME, SaveDataPreloadResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetStatusSubsanar }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SetStatusSubsanar }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "setStatusSubsanar")
    public JAXBElement<SetStatusSubsanar> createSetStatusSubsanar(SetStatusSubsanar value) {
        return new JAXBElement<SetStatusSubsanar>(_SetStatusSubsanar_QNAME, SetStatusSubsanar.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SetStatusSubsanarResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SetStatusSubsanarResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "setStatusSubsanarResponse")
    public JAXBElement<SetStatusSubsanarResponse> createSetStatusSubsanarResponse(SetStatusSubsanarResponse value) {
        return new JAXBElement<SetStatusSubsanarResponse>(_SetStatusSubsanarResponse_QNAME, SetStatusSubsanarResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StackData }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link StackData }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "stackData")
    public JAXBElement<StackData> createStackData(StackData value) {
        return new JAXBElement<StackData>(_StackData_QNAME, StackData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StackDataResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link StackDataResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "stackDataResponse")
    public JAXBElement<StackDataResponse> createStackDataResponse(StackDataResponse value) {
        return new JAXBElement<StackDataResponse>(_StackDataResponse_QNAME, StackDataResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UnstackData }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link UnstackData }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "unstackData")
    public JAXBElement<UnstackData> createUnstackData(UnstackData value) {
        return new JAXBElement<UnstackData>(_UnstackData_QNAME, UnstackData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link UnstackDataResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link UnstackDataResponse }{@code >}
     */
    @XmlElementDecl(namespace = "com/ejie/toolkit/xml", name = "unstackDataResponse")
    public JAXBElement<UnstackDataResponse> createUnstackDataResponse(UnstackDataResponse value) {
        return new JAXBElement<UnstackDataResponse>(_UnstackDataResponse_QNAME, UnstackDataResponse.class, null, value);
    }

}
